#' IBTrACS North Atlantic Dataset
#'
#' The IBTrACS dataset for cyclones in the North Atlantic basin between
#' 2010 and 2020 that reached at least tropical storm status. The dataset
#' is filtered to remove constant or empty columns. No additional cleaning
#' is preformed.
#' @source https://www.ncei.noaa.gov/data/international-best-track-archive-for-climate-stewardship-ibtracs/v04r00/access/shapefile/IBTrACS.NA.list.v04r00.points.zip
"ibtracs"

#' CPC Gauge Conus Grid
#'
#' The CONUS field starts from the 0.25deg lat/lon grid box centering at
#' (129.875W; 20.125N), going from west to east first, and then south to north.
#' The `GRIDID` starts at the the south west corner.
#'
#' @format ## `rainfall_grid`
#' An sf data frame with 36,000 rows and 3 columns:
#' \describe{
#'   \item{GRIDID}{the id of the grid}
#'   \item{geometry}{the rectangular square}
#'   \item{centroid}{the grid center point}
#' }
#' @source https://ftp.cpc.ncep.noaa.gov/precip/CPC_UNI_PRCP/GAUGE_CONUS/DOCU/PRCP_CU_GAUGE_V1.0CONUS_0.25deg.README
"rainfall_grid"