#' County Adjacency Table
#'
#' Queries the US Census for the county adjaceny
#' @export
#' @return  tibble
get_county_adj <- function() {
    url <- "https://www2.census.gov/geo/docs/reference/county_adjacency.txt"
    df <- readr::read_tsv(url,
                    col_names = c("src_county", "src_fips", "adj_county", "adj_fips"),
                    locale = locale(encoding = "ASCII", asciify = TRUE)) %>%
                    select(src_fips, adj_fips) %>%
                    fill(src_fips, .direction = "down")
    return(df)
}
