.onLoad <- function(libname, pkgname){
    op <- options()
    op.hipwits <- list(
        hipwits_ibtracs_endpoint = "https://www.ncei.noaa.gov/data/international-best-track-archive-for-climate-stewardship-ibtracs/v04r00/access/shapefile/IBTrACS.NA.list.v04r00.points.zip",
        hipwits_gauge_conus_daily_endpoint = "https://ftp.cpc.ncep.noaa.gov/precip/CPC_UNI_PRCP/GAUGE_CONUS",
        hipwits_gauge_conus_daily_date_regexp = "(?<=PRCP_CU_GAUGE_V1\\.0CONUS_0\\.25deg\\.lnx\\.)[1-2][0-9]{7}(?=\\.(UPDATED|RT|gz))"
    )
    toset <- !(names(op.hipwits) %in% names(op))
    if (any(toset)) options(op.hipwits[toset])

    invisible()
}

.onAttach <- function(libname, pkgname) {
  packageStartupMessage("To enable caching of data, set `options(hipwits_use_cache = TRUE)`\nin your R script or .Rprofile.")
}