## code to prepare `ibtracs` dataset goes here
library(tidyverse)
library(HIPWITSOTriggers)
url <- getOption("hipwits_ibtracs_endpoint") # ~ 6 MB
ibtracs <- load_shapefile(url, progress = FALSE)
ibtracs <- ibtracs %>%
    filter(SEASON >= 2010, SEASON <= 2020) %>%
    group_by(SID) %>%
    filter(any(usa_status == "TS")) %>%
    ungroup() %>%
    janitor::remove_empty("cols") %>%
    janitor::remove_constant() %>%
    janitor::clean_names()

usethis::use_data(ibtracs, overwrite = TRUE)
