ui <- shiny::fluidPage(
  # App title ----
  shiny::titlePanel("Cyclone Explorer"),
      sidebarLayout(
        sidebarPanel(
          selectInput(
            inputId = "selected_storm",
            label = "Cyclone",
            choices = sort(id_season_name$storm_name_id, decreasing = TRUE),
            selected = "storm_name"
            ),
          width = 2
        ),
        mainPanel(
          tabsetPanel(
            tabPanel(
              "Map",
              leaflet::leafletOutput(
                outputId = "leafletMap",
                # width = "100%",
                height = "88vh"
                )
              ),
            tabPanel(
              "County Data",
              shiny::hr(),
              DT::dataTableOutput(
                outputId = "rainfall"
                )
              )
            ),
          width = 10
          )
        )
  )
