% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/hulls.R
\name{build_hulls}
\alias{build_hulls}
\title{Builds Convex Hulls from Cyclone Tracks}
\usage{
build_hulls(data, r, grp_vars, ..., .summarize = FALSE, .parallel = FALSE)
}
\arguments{
\item{data}{ibtracs dataset}

\item{r}{radius variable to use for the buffers}

\item{grp_vars}{<\code{\link[=dplyr_tidy_select]{tidy-select}}>  of the variables to group on. These are run
length encoded (sorted by usa_atcfid and iso_time) and used for the grouping to
ensure that the track order is kept}

\item{...}{<\code{\link[rlang:dyn-dots]{dynamic-dots}}> filter arguments. These are
applied after the run length encoding to preserve the order / ensure that the
ibtracs data is continuous in time.}

\item{.summarize}{flag to determine if summarized result should be returned}

\item{.parallel}{flag to determine if \code{multidplyr} parallel processing should
be used}
}
\value{
sf tibble of the \code{grp_vars}, summerized (\code{sf::st_union}) and the
first and last time-step encapsulated in the summerized data. The
intersections with \code{.geo} are provided if \code{.geo} is not null.
}
\description{
Builds buffers and convex hulls from cyclone tracks. The buffers are created
using the \code{.r} parameter as the radius, and the convex hull is created for
each group specified in \code{grp_vars}, after it has been filtered by the
arguments provided.
}
\details{
Filter is completed after the data is grouped, run length encoded, and
re-grouped. This ensures that each group of the ibtracs data is continuous.
}
