% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/geo.R
\name{grid_center_points}
\alias{grid_center_points}
\title{Builds a grid of cell center points}
\usage{
grid_center_points(
  grid_size = 0.25,
  bbox = c(ymin = 20.125, ymax = 49.875, xmin = -129.875, xmax = -55.125),
  crs = "EPSG:4326"
)
}
\arguments{
\item{grid_size}{size of the grid in degrees}

\item{bbox}{named vector of the boundary box}

\item{crs}{the coordinate reference system}
}
\value{
sf tibble of the grid center points
}
\description{
The grid starts at (xmin, ymin) and is ordered by x (latitude) and then
by longitude. The grid defaults are PRCP_CU_GAUGE_V1.0CONUS_0.25deg.README
in https://ftp.cpc.ncep.noaa.gov/precip/CPC_UNI_PRCP/GAUGE_CONUS/DOCU/.
}
\details{
"The CONUS field starts from the 0.25deg lat/lon grid box centering
at (129.875W; 20.125N), going from west to east first, and then south to
north."
}
