% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/load_data.R
\name{hipwits_cache_dir}
\alias{hipwits_cache_dir}
\title{Set the cache directory to store shapefiles with hipwits}
\usage{
hipwits_cache_dir(path)
}
\arguments{
\item{path}{The full path to the desired cache directory}
}
\description{
By default, hipwits uses the rappdirs package to determine a suitable location to store shapefiles
on the user's computer.  However, it is possible that the user would want to store shapefiles in a custom
location.  This function allows users to set the cache directory, and stores the result in the user's
.Renviron so that hipwits will remember the location.

Windows users: please note that you'll need to use double-backslashes or forward slashes
when specifying your cache directory's path in R.
}
\examples{
\dontrun{
# Set the cache directory
hipwits_cache_dir("PATH TO MY NEW CACHE DIRECTORY")

# Check to see if it has been set correctly
Sys.getenv("HIPWITS_CACHE_DIR")
}
}
