% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ibtracs.R
\name{ibtracs_prepare}
\alias{ibtracs_prepare}
\title{Preprocessing of the IBTrACS Dataset}
\usage{
ibtracs_prepare(data)
}
\arguments{
\item{data}{ibtracs data}
}
\value{
processed ibtracs data
}
\description{
Preprocessing the IBTrACS Dataset. Actions preformed are:
\itemize{
\item Removes empty and constant columns and the following list of columns:
\verb{c(year, month, day, hour, usa_lat, usa_lon, wmo_agency, usa_agency, starts_with("mlc_"), starts_with('td6_), starts_with("ds8_), starts_with("tok_"), starts_with("cma_"), starts_with("hko_"), starts_with("new_"), starts_with("reu_"), starts_with("bom_"), starts_with("nad_"), starts_with("wel_"), starts_with("td5_"), starts_with("neu_"), starts_with("usa_sea"), usa_poci, usa_roci, usa_rmw, usa_eye, usa_gust)}
}
}
\details{
\itemize{
\item Converts iso_time, wind radius, storm speed
\item Compute maximum wind radius extents
}
}
