% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ibtracs_interpolate.R
\name{interpolate_end}
\alias{interpolate_end}
\title{Finds the cyclone interpolated end points}
\usage{
interpolate_end(data, dist_col, wind_speed, grp_vars = NULL)
}
\arguments{
\item{data}{input tibble of points. This must contain the columns \code{usa_wind},
\code{iso_time}, and \code{geometry}}

\item{dist_col}{eg wind_extent_hu_m, interactions_wind_extent_hu_m (or tidyselect)}

\item{wind_speed}{the wind speed to interpolate to. Typically 34 or 64}

\item{grp_vars}{<\code{\link[=dplyr_tidy_select]{tidy-select}}>  of the variables to
group on. These typically identifies the storm}
}
\value{
sf tibble of the interpolate points where the cyclone ends
}
\description{
This function only interpolates. It does not update any existing variables!
The interpolated end points are based upon the point after the cyclone
transitions, i.e. the lag is the hurricane point and th current is the
tropical storm. The interpolated point is determined via the bearing from
the lag to the current, and the distance from the lag to the current.
}
