% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ibtracs_interpolate.R
\name{interpolate_points}
\alias{interpolate_points}
\title{Interpolates the start and end}
\usage{
interpolate_points(data, dist_col, wind_speed, grp_vars)
}
\arguments{
\item{data}{input tibble of points. This must contain the columns \code{usa_wind},
\code{iso_time}, and \code{geometry}}

\item{dist_col}{eg wind_extent_hu_m, interactions_wind_extent_hu_m (or tidyselect)}

\item{wind_speed}{the wind speed to interpolate to. Typically 34 or 64}

\item{grp_vars}{<\code{\link[=dplyr_tidy_select]{tidy-select}}>  of the variables to
group on. These typically identifies the storm}
}
\value{
sf tibble of the interpolate points
}
\description{
Interpolates the start and endpoint of a cyclone. Linear interpolation
based upon the \code{usa_wind} and the \code{iso_time} column is used to determine
the time and the position.
}
