% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ibtracs_interpolate.R
\name{interpolate_start}
\alias{interpolate_start}
\title{Finds the Cyclone start interpolated points}
\usage{
interpolate_start(data, dist_col, wind_speed, grp_vars = NULL)
}
\arguments{
\item{data}{input tibble of points. This must contain the columns \code{usa_wind},
\code{iso_time}, and \code{geometry}}

\item{dist_col}{eg wind_extent_hu_m, interactions_wind_extent_hu_m (or tidyselect)}

\item{wind_speed}{the wind speed to interpolate to. Typically 34 or 64}

\item{grp_vars}{<\code{\link[=dplyr_tidy_select]{tidy-select}}>  of the variables to
group on. These typically identifies the storm}
}
\value{
sf tibble of the interpolate points where the cyclone starts
}
\description{
The interpolated start points are based upon the point before the cyclone
transitions, i.e. the lead is the hurricane point and the current is the
tropical storm. The interpolated point is determined via the bearing from
the current to the lead, and the distance from the current to the lead.
}
