% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/load_data.R
\name{load_shapefile}
\alias{load_shapefile}
\title{Helper function to download shapefile data}
\usage{
load_shapefile(
  url,
  refresh = getOption("hipwits_refresh", FALSE),
  progress_bar = TRUE,
  keep_zipped_shapefile = FALSE
)
}
\arguments{
\item{url}{URL for zipped shapefile.}

\item{refresh}{Whether to re-download shapefiles if cached. Defaults to value of the global
option "hipwits_refresh" if that option is, and FALSE if not. This will override the behavior
set in "hipwits_refresh" option if a value (TRUE or FALSE) is provided.}

\item{progress_bar}{If set to FALSE, do not display download progress bar
(helpful for R Markdown documents). Defaults to TRUE.}

\item{keep_zipped_shapefile}{If set to TRUE, do not delete zipped shapefile
(stored in temporary directory or HIPWITS_CACHE_DIR depending on the configuration of
global option "hipwits_use_cache"). Defaults to FALSE.}
}
\value{
sf or sp data frame
}
\description{
Helper function to download shapefile data
}
