% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/triggers.R
\name{rainfall_trigger}
\alias{rainfall_trigger}
\title{Rainfall Triggering Function}
\usage{
rainfall_trigger(
  data,
  threshold = units::as_units(6, "inch"),
  lag_days = 1,
  lead_days = 2,
  default = units::as_units(0, "inch")
)
}
\arguments{
\item{data}{\itemize{
\item the rainfall data. Must contain columns \code{geoid} and \code{date}
}}

\item{threshold}{\itemize{
\item the threshold to filter on
}}

\item{lag_days}{\itemize{
\item the number of lag days to consider
}}

\item{lead_days}{\itemize{
\item the number of lead days to consider
}}

\item{default}{\itemize{
\item the default parameter of lead / lag. If not provided,
units::as_units("0 mm") is used.
}}
}
\description{
Determines if a county / region identified by \code{geoid} has a cumulative
rainfall greater than the threshold for the leading and lagging days.
The defaults are set according to the RY 2023 Hurricane Data Provisions,
https://www.rma.usda.gov/-/media/RMA/Policies/Hurricane-Insurance-Wind-Index/2023/Hurricane-Insurance-Protection-Wind-Index-Endorsement-23-1-HIP-WI/Hurricane-Data-Provisions-2-2023.ashx?la=en
}
\details{
The period used for the TS Option is the day the cyclone corridor
intersects the county, plus a 1-day lag (prior day) and a 2-day lead
(subsequent days), with a threshold of 6 inches.
}
