% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/rainfall_cpc.R
\name{read_lnx_raw}
\alias{read_lnx_raw}
\title{Read the raw binary Rainfall Data}
\usage{
read_lnx_raw(fname)
}
\arguments{
\item{fname}{filename to read}
}
\value{
numeric vector
}
\description{
The structure of the fortran file is provided in
PRCP_CU_GAUGE_V1.0CONUS_0.25deg.README at
https://ftp.cpc.ncep.noaa.gov/precip/CPC_UNI_PRCP/GAUGE_CONUS/DOCU/.
}
\details{
A numeric vector is returned, where the index of the vector is the grid
cell. The rainfall units are in the default of the CPC, 0.1mm increments.
}
\examples{
\dontrun{
# Download the file
url <- "https://ftp.cpc.ncep.noaa.gov/precip/CPC_UNI_PRCP/GAUGE_CONUS/RT/2023/PRCP_CU_GAUGE_V1.0CONUS_0.25deg.lnx.20230101.RT"
tmp <- tempfile()
httr::GET(url, httr::write_disk(tmp))

# read the file
data <- read_lnx_raw(tmp)
}
}
