% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/rle.R
\name{rle_group}
\alias{rle_group}
\title{Run Length Encoding Grouping}
\usage{
rle_group(.data, grp_vars)
}
\arguments{
\item{grp_vars}{<\code{\link[=dplyr_tidy_select]{tidy-select}}>  columns to group over}

\item{data}{ibtracs data}
}
\value{
tibble grouped by the grp_vars and run length encoding group vars.
The run length encoded variables are \code{ends_with("_rle")}
}
\description{
Run length encode the group variables, and then group the data frame.
This method first sorts the tibble by the \code{usa_atcfid} and \code{iso_time}, and the
determines the run length encoding for each of the variables. The tibble is
then grouped by the \code{grp_vars} and the resulting run length encoding vars.
This ensures that segments of a track are continuous.
}
\seealso{
rle_encode

RunLengthEncoding.qmd
}
