#' Create the local cache directory
local_create_cache <- function(dir = NULL, env = parent.frame()) {
  if (!is.null(dir)){
    withr::local_envvar(.new = c("HIPWITS_CACHE_DIR" = dir), .local_envir = env)
  }

  withr::local_options(.new = list(hipwits_use_cache = TRUE), .local_envir = env)
  if (!is.null(dir) && !fs::dir_exists(dir)){
    withr::defer(fs::dir_delete(dir), envir = env)
  }

  cache_dir <- get_cache_dir()
  cache_dir

}