test_that("shape file io", {
  data <- build_sample_a() %>%
    mutate(iso_time = lubridate::format_ISO8601(iso_time))

  # Testing write
  fname <- fs::path(tempdir(), "sample_a.zip")
  write_shapefile(data, fname)
  expect_true(fs::file_exists(fname))

  # Testing read
  df <- read_shapefile(fname)
  expect_equal(nrow(data), nrow(df))
  expect_s3_class(df, "sf")
  expect_equal(colnames(data), colnames(df))
  expect_equal(sf::st_drop_geometry(df), sf::st_drop_geometry(data))

})

test_that("shape file io - zipdir", {
  data <- build_sample_a() %>%
    mutate(iso_time = lubridate::format_ISO8601(iso_time))

  # Testing write if dir exists
  base_dir <-  fs::path(tempdir(), "sample_a")
  fs::dir_create(base_dir)
  fname <- fs::path(base_dir, "sample_a.zip")
  write_shapefile(data, fname)
  expect_true(fs::file_exists(fname))

  # Testing read
  df <- read_shapefile(fname)
  expect_equal(nrow(data), nrow(df))
  expect_s3_class(df, "sf")
  expect_equal(colnames(data), colnames(df))
  expect_equal(sf::st_drop_geometry(df), sf::st_drop_geometry(data))
})
